
QGIS Application - Bug report #10548

crash using custom forms

2014-06-11 11:32 AM - Luca Lanteri

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Forms

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 18955

Description

When I try to use a custom .ui form and setting Attribute editor layout on "provide ui-file", qgis crash when I open table and when using

identify feature.

Testing on 2.3-master - ubuntu 14.04-64bit

Associated revisions

Revision d43d3065 - 2014-06-12 08:22 AM - Martin Dobias

Fix #10548 (crash using custom forms)

When using a custom UI file, the widget is created beforehand,

and the code was failing to initialize it.

History

#1 - 2014-06-11 01:08 PM - Jürgen Fischer

- Category set to Forms

#2 - 2014-06-11 11:22 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"d43d3065e912ba78f581c39dfa5159953b88c2e8".

#3 - 2014-11-06 05:25 AM - Vincent Mora

- Status changed from Closed to Reopened

- Crashes QGIS or corrupts data changed from No to Yes

Reproduced today with 2.6.0 on ubuntu trusty 64bit

#4 - 2014-11-06 06:28 AM - Giovanni Manghi

- Affected QGIS version changed from master to 2.6.0

- Subject changed from QGIS 2.3 crash using custom forms to QGIS 2.6 crash using custom forms

#5 - 2014-11-27 06:24 AM - Giedrius Vaivilavičius

2025-05-17 1/3



I have a similar problem. Using "Drag and drop designer" has made a form with different types of grounds but they are duplicated fields. Then QGIS

crashes when I put the point. The terminal writes "Segmentation fault". When I eliminate fields that are repeated, then no crashes. QGIS 2.6, Debian

wheezy, 64 bit.

#6 - 2014-11-27 06:28 AM - Giedrius Vaivilavičius

http://s17.postimg.org/y4ypeo1m7/how_crash.png

#7 - 2015-02-09 01:06 PM - Jürgen Fischer

- Status changed from Reopened to Feedback

Does this also affect master?  I can't seem to reproduce it.

#8 - 2015-02-09 01:13 PM - Luca Lanteri

the original issue not affects the master. I also try the problem reported by Giedrius Vaivilavičius and all seem to works fine.

#9 - 2015-02-15 05:28 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

#10 - 2015-03-04 10:14 AM - Luca Lanteri

- Status changed from Closed to Reopened

When I try to use a custom .ui form and setting Attribute editor layout on "provide ui-file", qgis crash when I open table and when using identify feature.

Testing on 2.8.1 mint_17

#11 - 2015-03-04 10:38 AM - Luca Lanteri

Maybe it's better to open a new ticket to update the affected version ?

#12 - 2015-03-04 02:54 PM - Jürgen Fischer

- Subject changed from QGIS 2.6 crash using custom forms to crash using custom forms

#13 - 2015-03-05 04:52 PM - Giovanni Manghi

- Affected QGIS version changed from 2.6.0 to 2.8.1

- Resolution deleted (fixed/implemented)

#14 - 2015-05-31 01:47 AM - Matthias Kuhn

- Status changed from Reopened to Feedback

Comment 6 has been addressed, no more crashes when multiple multi line widgets are present.

Does the original issue concerning .ui files still apply to master?
Can you provide a demo .ui?

#15 - 2015-10-02 11:01 AM - Luca Lanteri

It's now ok on 2.11.0-Master tested on linux and windows.

#16 - 2015-10-02 11:13 AM - Luca Lanteri

- Status changed from Feedback to Closed

2025-05-17 3/3


